Subject: Re: [Curdle] [Editorial Errata Reported] RFC8410 (7848)

From: Rebecca VanRheenen <[email-masked]>
Date: Wed, 13 Mar 2024 10:55:49 -0700

Hi Roman, Paul, and Deb,

We are unable to verify this erratum that the submitter marked as editorial, so we changed the Type to “Technical”. As Stream Approver, please review and set the Status and Type accordingly (see the definitions at https://www.rfc-editor.org/errata-definitions/).

Note: The curdle WG has concluded, so we are addressing this to all Security Area ADs.

You may review the report at: 
https://www.rfc-editor.org/errata/eid7848

Information on how to verify errata reports can be found at: 
https://www.rfc-editor.org/how-to-verify/

Further information on errata can be found at: 
https://www.rfc-editor.org/errata.php

Thank you.

RFC Editor/rv

> On Mar 12, 2024, at 2:34 PM, RFC Errata System <[email-masked]> wrote:
> 
> The following errata report has been submitted for RFC8410,
> "Algorithm Identifiers for Ed25519, Ed448, X25519, and X448 for Use in the Internet X.509 Public Key Infrastructure".
> 
> --------------------------------------
> You may review the report below and at:
> https://www.rfc-editor.org/errata/eid7848
> 
> --------------------------------------
> Type: Editorial
> Reported by: Corey Bonnell <[email-masked]>
> 
> Section: 6
> 
> Original Text
> -------------
> Certificate  ::=  SEQUENCE  {
>           tbsCertificate       TBSCertificate,
>           signatureAlgorithm   AlgorithmIdentifier,
>           signatureValue       BIT STRING  }
> 
> ...
> 
> 
> For the Certificate structure, the signature value is
>   wrapped in the "signatureValue" BIT STRING field.
> 
> Corrected Text
> --------------
> Certificate  ::=  SEQUENCE  {
>           tbsCertificate       TBSCertificate,
>           signatureAlgorithm   AlgorithmIdentifier,
>           signature            BIT STRING  }
> 
> ...
> 
> For the Certificate structure, the signature value is
>   wrapped in the "signature" BIT STRING field.
> 
> Notes
> -----
> There is no field with the name "signatureValue" in the Certificate SEQUENCE. It is instead named "signature" according to the ASN.1 module in RFC 5280 A.1 as well as the ASN.1 module in section 14 of RFC 5912.
> 
> Instructions:
> -------------
> This erratum is currently posted as "Reported". (If it is spam, it 
> will be removed shortly by the RFC Production Center.) Please
> use "Reply All" to discuss whether it should be verified or
> rejected. When a decision is reached, the verifying party  
> will log in to change the status and edit the report, if necessary.
> 
> --------------------------------------
> RFC8410 (draft-ietf-curdle-pkix-10)
> --------------------------------------
> Title               : Algorithm Identifiers for Ed25519, Ed448, X25519, and X448 for Use in the Internet X.509 Public Key Infrastructure
> Publication Date    : August 2018
> Author(s)           : S. Josefsson, J. Schaad
> Category            : PROPOSED STANDARD
> Source              : CURves, Deprecating and a Little more Encryption
> Area                : Security
> Stream              : IETF
> Verifying Party     : IESG
>